#!/usr/bin/env python3
# LED 1 off
import RPi.GPIO as GPIO
import time

# gibt an,ob wir die GPIOs per Boardnummern (1-40) oder über ihre GPIO Nummer ansprechen wollen. 
# Da wir letzteres wollen, lautet der Befehl dazu:
GPIO.setmode(GPIO.BCM) # set GPIO via GPIO Nummer
GPIO.setwarnings(False) # disable warnings

# channel list
chan_list = [4,17,27,22,18,23,24,25]       # also works with tuples

# GPIO2-9 als Output (Port 0-7 led/relays 1-8)
GPIO.setup(chan_list,GPIO.OUT)

# GPIO2-9 (Port 0-7 led/relays 1-8) all toggle

GPIO.output(4, not GPIO.input(4))
GPIO.output(17, not GPIO.input(17))
GPIO.output(27, not GPIO.input(27))
GPIO.output(22, not GPIO.input(22))
GPIO.output(18, not GPIO.input(18))
GPIO.output(23, not GPIO.input(23))
GPIO.output(24, not GPIO.input(24))
GPIO.output(25, not GPIO.input(25))

